
close;

if ~exist('curlW')
    
clf;colormap default;
Lon=[-70 20];
Lat=[-20 20];

[lon_coads,lat_coads,lonvec,latvec,sss,index, ...
         sst,netheat,eminusp,taux,tauy]= ...
     loadcoadsyear(-99);
q=find(lonvec<min(Lon) | lonvec>max(Lon) | ...
    latvec<min(Lat) | latvec>max(Lat));
truncatecoads;
lon=lon_coads;lat=lat_coads;
Wx=NaN*ones(length(lat),length(lon),12);
Wy=Wx;SST=Wx; 
SSTbar=NaN*ones(length(lat),length(lon));
holder=SSTbar;
SSTbar(index)=mean(sst,1);
patchmap(lon,lat,SSTbar);
load colormaps anomCmap2;
colormap(anomCmap2);
mapaxis([min(Lon) max(Lon) min(Lat) max(Lat)])

for mn=1:12;
    holder(index)=sst(mn,:);
    SST(:,:,mn)=holder;
    holder(index)=taux(mn,:);
    Wx(:,:,mn)=holder;
    holder(index)=tauy(mn,:);
    Wy(:,:,mn)=holder;
end;
SST(:,:,13)=SST(:,:,1);
Wx(:,:,13)=Wx(:,:,1);
Wy(:,:,13)=Wy(:,:,1);
t=.5:1:12.5;

iind=1:2:length(lat);
jind=1:2:length(lon);
lonmat=ones(length(lat(iind)),1)*lon(jind)';
latmat=lat(iind)*ones(1,length(lon(jind)));

[dxWx,dyWx]=gradient(Wx);
[dxWy,dyWy]=gradient(Wy);
curlW=dyWx-dxWy;

end;

%load colormaps anomCmap2;colormap(anomCmap2);
colormap default;C=colormap;colormap(.5*C+.5);
for i=1:12;
    clf
    patchmap(lon,lat,1e3*curlW(:,:,i),[-20 20]);
    title(num2str(i));
    asprat;
    axis([min(Lon) max(Lon) min(Lat) max(Lat)])
    pause(.1)
end;

%return;

clear M;
movieind=1;
for mn=.5:.1:12.5;
    clf;

    wx=interp3(lon,lat,t,Wx,lon,lat,mn);
    wy=interp3(lon,lat,t,Wy,lon,lat,mn);
    sst=interp3(lon,lat,t,SST,lon,lat,mn);
    
    WxS=wx(iind,jind);WyS=wy(iind,jind);

%patchmap(lon,lat,sst-SSTbar,[-4 4]);
q=find(sst<20);sst(q)=20.25;q=find(sst>30);sst(q)=29.75;
contourf(lon,lat,sst,20:.25:30);shading flat;

overlay
hold on;

if (1)  % plot ITCZ
itcz=5*ones(length(lon(jind)),1); % latitude of itcz
for jj=1:length(jind);
    ww=abs(wy(:,jind(jj)));
    jump=1;
    while (abs(jump)>1e-6 & isfinite(itcz(jj)))
        jump2=interp1(lat,wy(:,jind(jj)),itcz(jj),'linear');
        itcz(jj)=itcz(jj)+jump2;
        jump=jump2;
    end;
end;
plot(lon(jind),itcz,'--k','linewidth',2)
end;
q=find(isfinite(WxS+WyS));
P=quiver(lonmat(q),latmat(q), ...
    30*WxS(q),30*WyS(q),0);
set(P,'color','k')
hold off;
mapaxis([min(Lon) max(Lon) min(Lat) max(Lat)]);
months={'January' 'February' 'March' 'April' 'May' ...
        'June' 'July' 'August' 'September' 'October' ...
        'November' 'December' 'January'};
tstr=char(months(round(mn)));
title(tstr,'fontsize',12);
M(movieind)=getframe(gcf);
movieind=movieind+1;

end; % loop over month


C=colormap;
mpgwrite(M,C,'seascoads.mpg');
