function plotalayer(LayNum,month);

% function plotalayer(LayNum,month);
%
% plot the outcropping position of a neutral density
% layer in the annual mean COADS field, and in the 
% monthly mean for a particular month.

minlon=-100;
maxlon=20;
minlat=-10;
maxlat=50;

monthnames=['Jan ';'Feb ';'Mar ';'Apr '; ...
	'May ';'June';'July';'Aug ';'Sep '; ...
	'Oct ';'Nov ';'Dec '];

clf; plot(1,1); wysiwyg

[lon_coads,lat_coads,lonvec,latvec,sss,index, ...
         sst,netheat,eminusp,taux,tauy]=loadcoadsyear(-99);

lon=[minlon minlon maxlon maxlon];
lat=[minlat maxlat maxlat minlat];
q=~isinpoly(lonvec,latvec,lon,lat);
truncatecoads;

sst=[mean(sst,1);sst(month,:)];
sss=[mean(sss,1);sss(month,:)];
ssg=NaN*ones(size(sss));
disp('Calculating gamma.')
ssg(1,:)=gamma_n(sss(1,:),sst(1,:), ...
	zeros(size(lonvec)),lonvec,latvec);
ssg(2,:)=gamma_n(sss(2,:),sst(2,:), ...
	zeros(size(lonvec)),lonvec,latvec);

glev
for i=1:2;
  SST=NaN*ones(length(lat_coads),length(lon_coads));
  SSS=SST;SSG=SST;Lay=SST;
  SST(index)=sst(i,:);
  SSS(index)=sss(i,:);
  SSG(index)=ssg(i,:);
  
  q=find(SSG<glevels(1));
  Lay(q)=1;
  for j=2:max(LayNum)+1;
    q=find(SSG>=glevels(j-1) & ...
	 SSG<glevels(j));
    Lay(q)=j;
  end;
    
  subplot(2,1,i);
  SST2=SST;
  q=find(Lay~=LayNum);
  SST2(q)=NaN;
  patchmap(lon_coads,lat_coads,SST2);
  hold on;
  contour(lon_coads,lat_coads,Lay, ...
	min(LayNum):max(LayNum)+1,'k');
  hold off;
  overlay;
  colorbarvert;
  mapaxes(minlon,maxlon,minlat,maxlat);
  if (i==1)
    ttl=['COADS annual mean SST, layer ', ...
	num2str(LayNum)];
    title(ttl,'fontsize',15);
  else
    ttl=['COADS ', monthnames(month,:), ...
	'mean SST, layer ',num2str(LayNum)];
    title(ttl,'fontsize',15);
  end;
end;
